Subject: bug#78745: Installed libtool script produces invalid .la files

From: Kirill Makurin <[email-masked]>
Date: Tue, 10 Jun 2025 14:15:59 +0000

Hi,

I have noticed that installed libtool (configured for MSVC tools) was producing invalid .la files. I have discovered it when I tried to build ncurses with MSVC.

However, we have recently have discovered configuration issue related to configure trying to find a Fortran compiler. This caused building libltdl to fail.

I believe this configuration issue is also responsible for this behavior (invalid .la files). After I started passing FC=no and F77=no to libtool's configure script, I noticed that installed libtool script started behaving as expected.

- Kirill Makurin